Task #48074

Neos backend no conflict mode

Added by Aske Ertmann over 8 years ago. Updated almost 8 years ago.

Status:
Resolved
Priority:
Must have
Assignee:
Category:
-
Target version:
Start date:
2013-05-08
Due date:
% Done:

100%

Estimated time:

Description

Currently the JavaScript for the Neos backend is not properly contained so it breaks when a page has its own version of jQuery or RequireJS. This needs to be fixed to allow using Neos with all kinds of templates.

RequireJS has already some support of loading things asynchronously and with different versions at the same time, which could probably be used to solve some of the issues.

Also available in: Atom PDF